clear 
clc
l= 76.977; %specimen perimeter in mm
res = 0.082; %desired resolution at which the waveform is generated ( mm )
step = 1;
wf = 'tri';%sine, saw, tri
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Roughness parameters
Rw = 1.0; %Roughness width
Rh = 0.15; %Roughness height
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
cycles = 2*step; %waviness, 2pi one cycle, 4pi two cycles, and so on
omega = l/(cycles * Rw);

t = [ 0 : cycles*pi()/(l/res): cycles*pi() ]; 


if strcmp(wf,'sine')
    Specimen='Cosine_over_sinewave';
    x = 4*sin(t)+Rh*cos(100*t/step)+10; % Generate Sine Wave
    t=t'*l/(cycles*pi());
elseif strcmp(wf,'saw')
     Specimen='Sawtooth_over_sinewave';
     x = 5*sin(t)-(Rh/pi())*atan(cot(10*omega*t))+7;
     t=t'*l/(cycles*pi());
elseif strcmp(wf,'tri')
    t = [ 0 : step*pi()/(l/res): step*pi() ]; 
    Specimen='Sine_over_triangularwave';
    x = (5/pi())*acot(abs(tan(t)))+Rh*sin(75*t*(2/step))+6;
    t=t'*l/(step*pi());
else break;
end
    
x=x';
%t=t';
plot(t,x,'-k')
matrix(:,4)=x;
matrix(:,5)=t;
matrix(1,6)=l;

xlswrite(['./',wf,'.csv'], {'Perimeter in mm', 'Fracture Height in mm'}, 'Height', 'A1');
xlswrite(['./',wf,'.csv'], [t,x],'Height', 'A2');
